
From: Andrew Morton <akpm@osdl.org>

Cc: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/sis/sis.h       |    1 +
 drivers/video/sis/sis_accel.c |    1 +
 drivers/video/sis/sis_main.c  |    1 +
 3 files changed, 3 insertions(+)

diff -puN drivers/video/sis/sis.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh-fix-5 drivers/video/sis/sis.h
--- 25-alpha/drivers/video/sis/sis.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh-fix-5	2005-07-14 20:00:01.000000000 -0700
+++ 25-alpha-akpm/drivers/video/sis/sis.h	2005-07-14 20:00:01.000000000 -0700
@@ -24,6 +24,7 @@
 
 #include <linux/config.h>
 #include <linux/version.h>
+#include <linux/utsname.h>
 
 #include "osdef.h"
 #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,0)
diff -puN drivers/video/sis/sis_main.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh-fix-5 drivers/video/sis/sis_main.c
--- 25-alpha/drivers/video/sis/sis_main.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh-fix-5	2005-07-14 20:05:55.000000000 -0700
+++ 25-alpha-akpm/drivers/video/sis/sis_main.c	2005-07-14 20:06:14.000000000 -0700
@@ -34,6 +34,7 @@
 
 #include <linux/config.h>
 #include <linux/version.h>
+#include <linux/utsname.h>
 #include <linux/module.h>
 #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,0)
 #include <linux/moduleparam.h>
diff -puN drivers/video/sis/sis_accel.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh-fix-5 drivers/video/sis/sis_accel.c
--- 25-alpha/drivers/video/sis/sis_accel.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh-fix-5	2005-07-14 20:11:48.000000000 -0700
+++ 25-alpha-akpm/drivers/video/sis/sis_accel.c	2005-07-14 20:12:01.000000000 -0700
@@ -28,6 +28,7 @@
 
 #include <linux/config.h>
 #include <linux/version.h>
+#include <linux/utsname.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/errno.h>
_
